Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81615 - modemlights_applet2 needs read-access to /dev/isdninfo
Summary: modemlights_applet2 needs read-access to /dev/isdninfo
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: dev
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-11 06:08 UTC by Ralf Corsepius
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-08 01:30:35 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2003-01-11 06:08:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If using gnome's modemlights_applet2 with isdn, modemlights_applet2 requires
read-access to /dev/isdninfo to display the network status/throughput etc.

Version-Release number of selected component (if applicable): all


How reproducible:
Always

Steps to Reproduce:
Use a gnome-desktop on a system connected to the internet via isdn and
autodialing. Install gnome's modemlight_applet2 to a gnome-panel.

Dial out via isdn. modemlight_applet2 should display the connection status.

Actual Results:  Modemlights_applet doesn't display the isdn-connection status.

Expected Results:  Modemlights_applet2 should display the isdn-connection status.


Additional info:

A rough work-around to this issue is to chmod a+r /dev/isdninfo (This is what I
currently do).

A more sophisticated approach would be to apply setgid and group tricks to
modemlights_applet and /dev/isdninfo.

Comment 1 Bill Nottingham 2006-08-08 01:30:35 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux. Red Hat
Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more timely manner.
However, the issues listed in these bugs are in packages that are no longer
shipped in a current Fedora Core release. Hence, we are closing these bugs CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.